Bug 106915 - Installer does not recognize non-ECKD drives
Installer does not recognize non-ECKD drives
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta5
s390 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-13 10:54 EDT by Chip Bryant
Modified: 2007-04-18 12:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 17:44:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chip Bryant 2003-10-13 10:54:22 EDT
Description of problem:
Below is the parameter file I am using when I boot the Linux program from VM.  
The DASD address of 200-205 are all VM mini-disks.  They were formatted 
according to the directions given in your documentation.  I did a format on 
them (from CMS) and then the RESERVE command on them.  The DASD at address 206 
is a full 3390 disk pack.  I did the ICKDSF format on it for a CP volume as 
directed.  Please know that I am doing this on the mainframe with mainframe 
DASD.  I don't have another LINUX system available to do the DASDFMT command 
with as that is a LINUX command and I don't have it available until I get the 
RedHat version up and running.  Since I added the 206 full pack, I don't get 
the message from the installer anymore that says I don't have any drivers 
loaded, but I still get the same error when it comes up to the partitioning 
option.  According to your documentation, by supplying the parameters in the 
file below, it should not ask me any questions after I do the IPL in the VM 
system but it does.  It still asks me to enter the hostname, the type of 
connection (which is CTC), the different IP addresses and the dns information.  
It seems strange that it would ask for it when it has it in the parm file.  
Anyway, when it IPL's in the VM machine, I can see where it recognizes the DASD 
address and loads the EKCD and FBA drivers.  It then tells me to telnet it and 
finish the install.  I do and enter the "ENGLISH" for language and "FTP" for 
the type of install.  It then asks me for the FTP information which I supply.  
It then comes up with the agreement screen that I say OK to.  The next screen 
is to do the BETA install and I select that.  The next screen is the 
partitioning (where it fails), it makes no difference if I specify "auto 
partition" or the "druid" option.  They both fail and give me the original 
message I sent you stating no valid devices found.  Remember, I have no way to 
format the DASD with LINUX until I can get it up and running since this is all 
on a mainframe with mainframe disk.  I followed all the formatting exactly as 
stated in your procedures.

Also, I have attached all the messages which come out in the VM machine where I 
am installing the RedHat Linux.  You will be able to see that the DASD is 
recognized by what is IPL'd in the VM machine.  When I receive the error 
message, my only option is to click OK which then shuts down the VM server.  
You will see the messages start with Login (pam_unix) [59] : session closed for 
user root and the last message is:  you may safely reboot your system.  Just 
for your information, at this point, the VM guest machine that is running your 
LINUX goes into a CPU loop until manually stopped by IPL'ing CMS.  You will 
also see at the end of the attached listing where I did the VM "Q DASD" command 
and you can see the address of the disk that I am trying to use and you can see 
where it does see them when IPL'd but for whatever reason, your installer does 
not see them or does not see them as valid when I try to do the partitioning 
step of the install.  Since it stops at that point, I can go no further.  
Please note that I had also tried changing the "DASD" parameter in the parm 
file from lower case to upper case but still received the same results.  The 
following is the error I receive from the installer (makes no difference if I 
do autopartition or the druid option):

>  > âââââââââââââ⤠No Drives Found âââââââââââââââ
>  > â â
>  > â An error has occurred - no valid devices â
>  > â were found on which to create new file â
>  > â systems. Please check your hardware for â
>  > â the cause of this problem. â
>  > â â
>  > â ââââââ â
>  > â â OK â â
>  > â ââââââ â
>  > â â
>  > â â
>  > ââââââââââââââââââââââââââââââââââââââââââââââ 

The following is the VM console log:

Ready; T=0.01/0.01 11:53:57
q prt all
ORIGINID FILE CLASS RECORDS  CPY HOLD DATE  TIME     NAME      TYPE     DIST
LI3000   0039 T CON 00000002 001 NONE OPEN- 0009                        LI3000
Ready; T=0.01/0.01 11:53:59
lin
     NO FILES PURGED
RDR FILE 0040 SENT FROM LI3000   PUN WAS 0040 RECS 039K CPY  001 A NOHOLD NOKEEP
RDR FILE 0041 SENT FROM LI3000   PUN WAS 0041 RECS 0010 CPY  001 A NOHOLD NOKEEP
RDR FILE 0042 SENT FROM LI3000   PUN WAS 0042 RECS 067K CPY  001 A NOHOLD NOKEEP
0000003 FILES CHANGED
0000003 FILES CHANGED
Linux version 2.4.21-1.1931.2.399.ent (bhcompile@devel8.z900.redhat.com) (gcc 
version 3.2.3 20030502 (Red Hat Linux 3.2.3-16)) #1 SM
P Wed Aug 20 15:22:21 EDT 2003
We are running under VM (31 bit mode)
This machine has no PFIX support
This machine has an IEEE fpu
On node 0 totalpages: 32768
zone(0): 32768 pages.
zone(1): 0 pages.
zone(2): 0 pages.
Kernel command line: 
hostname=li3000.sial.com                                                        
dasd=0200,0201,0202,0203,0204,0
205,0206                                         root=/dev/ram0 
R0                                                               CHA
NDEV=ctc0,0x3000,0x3001

Highest subchannel number detected (hex) : 0011
Calibrating delay loop... 117.55 BogoMIPS
Memory: 118480k/131072k available (2062k kernel code, 0k reserved, 547k data, 
316k init)
Dentry cache hash table entries: 16384 (order: 5, 131072 bytes)
Inode cache hash table entries: 8192 (order: 4, 65536 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer cache hash table entries: 8192 (order: 3, 32768 bytes)
Page-cache hash table entries: 32768 (order: 5, 131072 bytes)
debug: Initialization complete
POSIX conformance testing by UNIFIX
Detected 1 CPU's
Boot cpu address  0
cpu 0 phys_idx=0 vers=FF ident=01168D machine=7060 unused=0000
Starting migration thread for cpu 0
init_mach : starting machine check handler
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
mach_handler : ready
mach_handler : waiting for wakeup
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
aio_setup: num_physpages = 8192
aio_setup: sizeof(struct page) = 52
pty: 2048 Unix98 ptys configured
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 256 RAM disks of 16384K size 1024 blocksize
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP: routing cache hash table of 512 buckets, 8Kbytes
TCP: Hash tables configured (established 4096 bind 8192)
Linux IP multicast router 0.06 plus PIM-SM
Initializing IPsec netlink socket
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 5262k freed
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 79k freed
Starting the S/390 initrd to configure networking. Version is 1.01
Enter the FQDN of your new Linux guest (e.g. s390.redhat.com):
li3000.sial.com
Enter which kind of network device do you intend to use
 (e.g. ctc, escon, iucv, eth, hsi, tr):
ctc
Enter the IP address of your new Linux guest:
141.247.10.52
Enter the network address of the new Linux guest:
141.247.10.0
Enter the IP of your ctc/escon/iucv point-to-point partner:
141.247.10.50
CTC driver Version: 1.57 with CHANDEV support initialized
divert: not allocating divert_blk for non-ethernet device ctc0
ctc0: read: ch 3000 (irq 0000), write: ch 3001 (irq 0001) proto: 0
ctc0: connected with remote side
Enter your DNS server(s), separated by colons (:):
141.247.9.19
Enter your DNS search domain(s) (if any), separated by colons (:):
sial.com
ctc0      Link encap:Serial Line IP
          inet addr:141.247.10.52  P-t-P:141.247.10.50  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
141.247.10.52   0.0.0.0         255.255.255.255 UH    0      0        0 ctc0
141.247.10.50   0.0.0.0         255.255.255.255 UH    0      0        0 ctc0
127.0.0.1       0.0.0.0         255.255.255.255 UH    0      0        0 lo
0.0.0.0         141.247.10.50   0.0.0.0         UG    0      0        0 ctc0
Starting portmap.
Journalled Block Device driver loaded

Starting telnetd and sshd to allow login over the network.

Connect now to 141.247.10.52 to start the installation.
login(pam_unix)[59]: session opened for user root by (uid=0)

 -- root[59]: ROOT LOGIN ON pts/0 FROM 141.247.253.130

* modules to insert vga16fb
* module(s) vga16fb not found
* load module set done
* 125084 kB are available
* modules to insert cramfs vfat sunrpc lockd nfs loop isofs floppy
* loaded cramfs from /modules/modules.cgz
* loaded sunrpc from /modules/modules.cgz
* loaded lockd from /modules/modules.cgz
* loaded nfs from /modules/modules.cgz
* loaded loop from /modules/modules.cgz
* module(s) vfat isofs floppy not found
* inserted /tmp/cramfs.o
* inserted /tmp/sunrpc.o
* inserted /tmp/lockd.o
* inserted /tmp/nfs.o
loop: loaded (max 8 devices)
* inserted /tmp/loop.o
* load module set done
* modules to insert ide-cd
* module(s) ide-cd not found
* load module set done
* modules to insert sd_mod sr_mod
* module(s) sd_mod sr_mod not found
* load module set done
* modules to insert dasd_mod
* loaded dasd_mod from /modules/modules.cgz
dasd: initializing...
dasd: Registered successfully to major no 94
dasd: initialization finished
* inserted /tmp/dasd_mod.o
* load module set done
* modules to insert dasd_diag_mod dasd_fba_mod dasd_eckd_mod
* loaded dasd_diag_mod from /modules/modules.cgz
* loaded dasd_fba_mod from /modules/modules.cgz
* loaded dasd_eckd_mod from /modules/modules.cgz
dasd(diag): DIAG discipline initializing
dasd: <devno: 0200> Add lowmem page :0737e000
dasd: <devno: 0200> Add lowmem page :0737c000
dasd(diag): /dev/dasda  ( 94:  0),0200@04: capacity (4kB blks): 14400kB
dasd: No request IRQ
dasd: <devno: 0201> Add lowmem page :07370000
dasd: <devno: 0201> Add lowmem page :07375000
dasd(diag): /dev/dasdb  ( 94:  4),0201@05: capacity (4kB blks): 720000kB
dasd: No request IRQ
dasd: <devno: 0202> Add lowmem page :0734c000
dasd: <devno: 0202> Add lowmem page :07352000
dasd(diag): /dev/dasdc  ( 94:  8),0202@06: capacity (4kB blks): 720000kB
dasd: No request IRQ
dasd: <devno: 0203> Add lowmem page :0734a000
dasd: <devno: 0203> Add lowmem page :0734e000
dasd(diag): /dev/dasdd  ( 94: 12),0203@07: capacity (4kB blks): 912960kB
dasd: No request IRQ
dasd: <devno: 0204> Add lowmem page :07320000
dasd: <devno: 0204> Add lowmem page :07325000
dasd(diag): /dev/dasde  ( 94: 16),0204@08: capacity (4kB blks): 1201680kB
dasd: No request IRQ
dasd: <devno: 0205> Add lowmem page :0731b000
dasd: <devno: 0205> Add lowmem page :072f0000
dasd(diag): /dev/dasdf  ( 94: 20),0205@09: capacity (4kB blks): 1201680kB
dasd: No request IRQ
dasd: <devno: 0206> Add lowmem page :072e9000
dasd: <devno: 0206> Add lowmem page :072e8000
dasd: <devno: 0206> Free lowmem page :072e8000
dasd: <devno: 0206> Free lowmem page :072e9000
Partition check:
 dasda:CMS1/  RED200(MDSK): dasda1
 dasdb:CMS1/  RED201(MDSK): dasdb1
 dasdc:CMS1/  RED202(MDSK): dasdc1
 dasdd:CMS1/  RED203(MDSK): dasdd1
 dasde:CMS1/  RED204(MDSK): dasde1
 dasdf:CMS1/  RED205(MDSK): dasdf1
* inserted /tmp/dasd_diag_mod.o
dasd(fba): FBA  discipline initializing
dasd: <devno: 0206> Add lowmem page :072b6000
dasd: <devno: 0206> Add lowmem page :072b4000
dasd: <devno: 0206> Free lowmem page :072b4000
dasd: <devno: 0206> Free lowmem page :072b6000
dasd(fba): We are interested in: Dev 9336/00 @ CU 6310/00
dasd(fba): We are interested in: Dev 3370/00 @ CU 3880/00
* inserted /tmp/dasd_fba_mod.o
dasd(eckd): ECKD discipline initializing
dasd: <devno: 0206> Add lowmem page :07278000
dasd: <devno: 0206> Add lowmem page :07276000
dasd(eckd): /dev/dasdg  ( 94: 24),0206@02: 3390/0A(CU:3990/01) Cyl:3339 Head:15 
Sec:224
dasd(eckd): /dev/dasdg  ( 94: 24),0206@02: 3390/0A(CU:3990/01): Configuration 
data read
dasd: No request IRQ
dasd: waiting for responses...
dasd(eckd): /dev/dasdg  ( 94: 24),0206@02: Volume has incompatible disk layout
dasd(eckd): We are interested in: CU 3880/00
dasd(eckd): We are interested in: CU 3990/00
dasd(eckd): We are interested in: CU 2105/00
dasd(eckd): We are interested in: CU 9343/00
* inserted /tmp/dasd_eckd_mod.o
* load module set done
* no firewire controller found
* no pcic controller found
* probing buses
* finished bus probing
* found nothing
* going to set language to en_US.UTF-8
* setting language to en_US.UTF-8
* need to set up networking
* going to pick interface
* going to do getNetConfig
* adding 141.247.9.19
* dnsservers is 141.247.9.19
* doing kickstart... setting it up
ctc0: connected with remote side
* reverse name lookup failed
* starting to STEP_URL
* transferring ftp://141.247.245.98//./RedHat/base/updates.img to a fd
* copied 1474560 bytes to /tmp/ramfs/updates-disk.img (complete)
* mntloop loop7 on /tmp/update-disk as /tmp/ramfs/updates-disk.img fd is 15
Unable to identify CD-ROM format.
* recursively copying /tmp/update-disk/lost+found
* umounting loopback /tmp/update-disk loop7
* transferring ftp://141.247.245.98//./RedHat/base/product.img to a fd
* copied 1474560 bytes to /tmp/ramfs/product-disk.img (complete)
* mntloop loop7 on /tmp/product-disk as /tmp/ramfs/product-disk.img fd is 15
Unable to identify CD-ROM format.
* recursively copying /tmp/product-disk/lost+found
* recursively copying /tmp/product-disk/installclasses
* recursively copying /tmp/product-disk/pixmaps
* umounting loopback /tmp/product-disk loop7
* transferring ftp://141.247.245.98//./RedHat/base/netstg2.img to a fd
* copied 12378112 bytes to /tmp/ramfs/netstg2.img (complete)
* mntloop loop0 on /mnt/runtime as /tmp/ramfs/netstg2.img fd is 15
Unable to identify CD-ROM format.
VFS: Can't find ext2 filesystem on dev loop(7,0).
* got url ftp://download:%61%63%75%72%61@141.247.245.98/.
* getting ready to spawn shell now
* not spawning a shell
* modules to insert ide-cd
* module(s) ide-cd not found
* load module set done
* modules to insert sd_mod sr_mod
* module(s) sd_mod sr_mod not found
* load module set done
* probing buses
* finished bus probing
* found nothing
* looking for video cards requiring agpgart module
* no video cards found
* modules to insert md raid0 raid1 xor raid5 msdos reiserfs jfs xfs lvm-mod
* loaded raid0 from /mnt/runtime/modules/modules.cgz
* loaded raid1 from /mnt/runtime/modules/modules.cgz
* loaded xor from /mnt/runtime/modules/modules.cgz
* loaded raid5 from /mnt/runtime/modules/modules.cgz
* loaded lvm-mod from /mnt/runtime/modules/modules.cgz
* module(s) md msdos reiserfs jfs xfs not found
md: raid0 personality registered as nr 2
* inserted /tmp/raid0.o
md: raid1 personality registered as nr 3
* inserted /tmp/raid1.o
raid5: measuring checksumming speed
   8regs     :   352.800 MB/sec
   8regs_prefetch:   306.800 MB/sec
   32regs    :   139.600 MB/sec
   32regs_prefetch:   274.000 MB/sec
raid5: using function: 8regs (352.800 MB/sec)
* inserted /tmp/xor.o
md: raid5 personality registered as nr 4
* inserted /tmp/raid5.o
LVM version 1.0.5+(22/07/2002) module loaded
* inserted /tmp/lvm-mod.o
* load module set done
* Running anaconda script /usr/bin/anaconda
login(pam_unix)[59]: session closed for user root

sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
	/mnt/runtime done
	disabling /dev/loop0
	/proc done
	/dev/pts done
	/tmp/ramfs done
you may safely reboot your system
I CMS
z/VM V4.3.0    2002-06-25 05:48

DMSVML2060I TCPMAINT 592 linked as 0120 file mode Z
CTCA 3000 COUPLED TO TCPIP 3001
CTCA 3001 COUPLED TO TCPIP 3000
Ready; T=0.02/0.03 12:09:53
q dasd
DASD 0120 3390 430W01 R/O         67 CYL ON DASD  0307 SUBCHANNEL = 0011
DASD 0190 3390 430RES R/O        107 CYL ON DASD  0306 SUBCHANNEL = 000E
DASD 0191 3390 RED001 R/W         50 CYL ON DASD  040B SUBCHANNEL = 0003
DASD 019D 3390 430RES R/O        102 CYL ON DASD  0306 SUBCHANNEL = 000F
DASD 019E 3390 430RES R/O        175 CYL ON DASD  0306 SUBCHANNEL = 0010
DASD 0200 3390 RED001 R/W         20 CYL ON DASD  040B SUBCHANNEL = 0004
DASD 0201 3390 RED001 R/W       1000 CYL ON DASD  040B SUBCHANNEL = 0005
DASD 0202 3390 RED001 R/W       1000 CYL ON DASD  040B SUBCHANNEL = 0006
DASD 0203 3390 RED001 R/W       1268 CYL ON DASD  040B SUBCHANNEL = 0007
DASD 0204 3390 RED002 R/W       1669 CYL ON DASD  040C SUBCHANNEL = 0008
DASD 0205 3390 RED002 R/W       1669 CYL ON DASD  040C SUBCHANNEL = 0009
DASD 0206 ON DASD  0309 R/W RED003 SUBCHANNEL = 0002
Ready; T=0.01/0.01 12:09:59
log
CONNECT= 00:16:46 VIRTCPU= 000:31.32 TOTCPU= 000:35.23
LOGOFF AT 12:10:39 CST WEDNESDAY 10/08/03


The following is my PARM file:

hostname=li3000.sial.com                                           
DASD=200-206                                                       
root=/dev/ram0 R0                                                  
CHANDEV=ctc0,0x3000,0x3001                                         
chandev=ctc0,0x3000,0x3001                                         
nettype=ctc ipaddr=141.247.10.52                                   
network=141.247.10.0                                               
netmask=255.255.255.0                                              
broadcast=255.255.255.255                                          
gateway=255.255.10.50 mtu=1500 dns=141.247.9.19 searchdns=sial.com 
 

Version-Release number of selected component (if applicable):
Linux version 2.4.21-1.1931.2.399.ent (bhcompile@devel8.z900.redhat.com) (gcc 
version 3.2.3 20030502 (Red Hat Linux 3.2.3-16)) #1 SMP Wed Aug 20 15:22:21 EDT 
2003

How reproducible:
Everytime

Steps to Reproduce:
1.Re IPL the VM reader to start up the VM Linux
2.
3.
    
Actual results:
The partitioning step fails with no valid devices found

Expected results:
The dasd should format

Additional info:
none
Comment 1 Florian La Roche 2003-10-13 15:21:50 EDT
don't put dasd= at the beginning of the line )workaround, bug actually fixed
in our current internal version) and change it to DASD=

greetings,

Florian La Roche
Comment 2 Chip Bryant 2003-10-14 07:56:43 EDT
I changed the PARM file as you stated but I still received the same results.  I 
moved the DASD= to the end of another line and put it all in caps but it still 
did not work.  My PARM file is below:

hostname=li3000.sial.com                                           
root=/dev/ram0 R0                                                  
CHANDEV=ctc0,0x3000,0x3001                                         
chandev=ctc0,0x3000,0x3001                                         
nettype=ctc ipaddr=141.247.10.52 DASD=200-206                      
network=141.247.10.0                                               
netmask=255.255.255.0                                              
broadcast=255.255.255.255                                          
gateway=255.255.10.50 mtu=1500 dns=141.247.9.19 searchdns=sial.com 

Please advise as what to try/do next.  Thanks,

Chip
Comment 3 Florian La Roche 2003-10-16 09:54:38 EDT
You can ssh to debug@192.168.0.1  (your Linux install environment) and use
mknod to create the appropriate device and insmod/dasdfmt to format your
dasd devices within the Red Hat install environment.

greetings,

Florian La Roche
Comment 4 Chip Bryant 2003-10-16 13:08:35 EDT
I installed the ssh software on my PC so I can get onto the system from that 
before I do the install dialog.  Please remember, I am from the mainframe 
background and don't understand some of what you are saying.  I found and 
printed out a device drivers manual from IBM where I found the mknod command 
but was not too sure what parameters to give it.  Based on what comes out on 
the VM server, I keyed in seven of them like the following:
mknod -m 660 /dev/dasda1 (thru g1) b 94 0 (thru 6)
It came back with the prompt so I figured it worked OK.  I then found the 
insmod command but again, was not too sure what to put into it.  It said to 
replace the dasd_mod with the name of the device driver module (which I don't 
know what that is).  As a result, I keyed in:
insmod dasd_mod dasd=200-206
It took the command without an error so I figured it worked OK.  However, when 
I try to run the dasdfmt command,  I get the no devices found error again.  I 
am probably doing something wrong but I don't know what.  Please let me know 
what I should be putting in for these mknod and insmod commands or point me in 
the direction to find out what should go there.  Thanks, Chip
Comment 5 Brock Organ 2003-10-17 12:53:01 EDT
Hi Chip,

the problem lies in how the installer handles the case where the dasd module
presents an ICKDSF-formatted device to the linux kernel.  Here is a sample
/proc/dasd/devices showing two volumes with a problem similar to yours:

-/bin/sh-2.05b# cat /proc/dasd/devices
0300(ECKD) at ( 94:  0) is dasda      : ready
0301(ECKD) at ( 94:  4) is dasdb      : ready
0302(ECKD) at ( 94:  8) is dasdc      : active at blocksize: 4096, 360000
blocks, 1406 MB
0303(ECKD) at ( 94: 12) is dasdd      : active at blocksize: 4096, 180000
blocks, 703 MB
-/bin/sh-2.05b#

in the above example, dasda and dasdb are formatted by ickdsf (as you have done)
but are not useable without first manually running dasdfmt.  Note that dasdc and
dasdd in the above example are formatted properly already and ready for use
w/anaconda (even though status is "ready" dasda and dasdb are not usuable by
anaconda), so we will perform the steps that make dasda and dasdb have the same
status as dasdc and dasdd ...

to do this, 

1) start your install 
2) proceed to the "Welcome to Red Hat Enterprise Linux AS!" screen (first screen
after picking network/harddrive install type) 
3) in a second terminal, connect again (through telnet or ssh) to your linux
install image

in the second terminal, enter the following commands:

4) use mknod for each ickdsf formatted device (dasda and dasdb in my above
sample). the major and minor numbers are available by looking at
/proc/dasd/devices (ie 94 0 for dasda, etc.):

-/bin/sh-2.05b# mknod /a b 94 0
-/bin/sh-2.05b# mknod /b b 94 4

5) now manually run the dasdfmt command on each ickdsf formatted device (shown
here for /a only; the same command with /b should be run for dasdb):

-/bin/sh-2.05b# dasdfmt -f /a
Please enter the blocksize of the formatting [4096]:
Drive Geometry: 5000 Cylinders * 15 Heads =  75000 Tracks

I am going to format the device /a in the following way:
   Device number of device : 0x300
   Labelling device        : yes
   Disk label              : VOL1
   Disk identifier         : 0X0300
   Extent start (trk no)   : 0
   Extent end (trk no)     : 74999
   Compatible Disk Layout  : yes
   Blocksize               : 4096

--->> ATTENTION! <<---
All data of that device will be lost.
Type "yes" to continue, no will leave the disk untouched: yes
Formatting the device. This may take a while (get yourself a coffee).
Finished formatting the device.
Rereading the partition table... ok
-/bin/sh-2.05b#

re-ipl the installer (ie repeat steps 1), 2) and 3) ) ... when connecting with
the second terminal (first terminal is at "Welcome to Red Hat Enterprise Linux
AS" screen again) notice the change in dasda, dasdb in /proc/dasd/devices:

-/bin/sh-2.05b# cat /proc/dasd/devices
0300(ECKD) at ( 94:  0) is dasda      : active at blocksize: 4096, 900000
blocks, 3515 MB
0301(ECKD) at ( 94:  4) is dasdb      : active at blocksize: 4096, 360000
blocks, 1406 MB
0302(ECKD) at ( 94:  8) is dasdc      : active at blocksize: 4096, 360000
blocks, 1406 MB
0303(ECKD) at ( 94: 12) is dasdd      : active at blocksize: 4096, 180000
blocks, 703 MB
-/bin/sh-2.05b#

now, you should be able to perform your install using anaconda (at the first
terminal/welcome screen) with the dasd available for use ...

HTH,

Brock

Comment 6 Chip Bryant 2003-10-17 14:38:20 EDT
Hi Brock,

Thanks so much for your information and instructions.  Since I am from a 
mainframe background, much of this is very foreign to me.  Anyway, what you 
told me worked perfectly on the one dasd (address = 206), which was, in fact, 
an ICKDSF-formatted "full pack" 3390 disk drive.  However, the other 6 packs 
won't format.  They are not full packs and they were not ICKDSF formatted.  
They are VM "mini-disks" and were formatted with the CMS "format" command 
followed by the CMS "reserve" command as stated in the RedHat install 
instructions.  When I IPL the VM server with the LINUX, I don't see them the 
way your example showed them.  I see the following:

Partition check:
 dasda:CMS1/  RED200(MDSK): dasda1
 dasdb:CMS1/  RED201(MDSK): dasdb1
 dasdc:CMS1/  RED202(MDSK): dasdc1
 dasdd:CMS1/  RED203(MDSK): dasdd1
 dasde:CMS1/  RED204(MDSK): dasde1
 dasdf:CMS1/  RED205(MDSK): dasdf1

They don't show as ECKD but as MDSK.  When I looked at the /proc/dasd/devices, 
I see the following:

Welcome to the Red Hat Linux install environment 1.01 for S/390

-bash-2.05b# cat /proc/dasd/devices
0200(DIAG) at ( 94:  0) is dasda      : active at blocksize: 4096, 3600 blocks,
14 MB
0201(DIAG) at ( 94:  4) is dasdb      : active at blocksize: 4096, 180000 blocks
, 703 MB
0202(DIAG) at ( 94:  8) is dasdc      : active at blocksize: 4096, 180000 blocks
, 703 MB
0203(DIAG) at ( 94: 12) is dasdd      : active at blocksize: 4096, 228240 blocks
, 891 MB
0204(DIAG) at ( 94: 16) is dasde      : active at blocksize: 4096, 300420 blocks
, 1173 MB
0205(DIAG) at ( 94: 20) is dasdf      : active at blocksize: 4096, 300420 blocks
, 1173 MB
0206(ECKD) at ( 94: 24) is dasdg      : active at blocksize: 4096, 601020 blocks
, 2347 MB 

As you can see, the 206 is good which is the full pack volume and it shows as 
an ECKD device.  However, the other ones, 200-205 all show as DIAG rather than 
ECKD.  I did the mknod on each of them and it appeared to work fine.  Then, 
when I tried to do the dasdfmt on them, I received the error as follows:

-bash-2.05b# mknod /a b 94 0
-bash-2.05b# mknod /b b 94 4
-bash-2.05b# mknod /c b 94 8
-bash-2.05b# mknod /d b 94 12
-bash-2.05b# mknod /e b 94 16
-bash-2.05b# mknod /f b 94 20 

-bash-2.05b# dasdfmt -b 4096 -f /a
dasdfmt: Unsupported disk type
/a is not an ECKD disk!
-bash-2.05b# dasdfmt -f /a
Please enter the blocksize of the formatting [4096]: 4096
dasdfmt: Unsupported disk type
/a is not an ECKD disk! 

It is telling me that it is an Unsupported disk type and not an ECKD disk.  Do 
I have to do something special for the VM mini-disks or are they not 
supported?  Is the only disk I can use full pack volumes?

I did try to continue on and I did get further.  I got past the auto-partition 
and it asked me more questions.  It then came up and said "Reading package 
information..."  I am doing the FTP install.  After a couple of minutes, it 
comes up and says "Unable to read header list.  This may be due to a missing 
file or bad media. Press <return> to try again"  When I do, it just keeps going 
between those two dialogs.  I don't know if this is a different problem or 
still because of the disk issue.  If I continue to get this error after the 
disk issue is resolved, should I open this as a new bug?  Thanks for all your 
help,

Chip
Comment 11 Jennifer E. Lamb 2003-12-16 15:32:35 EST
jlamb@redhat.com

Note You need to log in before you can comment on or make changes to this bug.